Page MenuHomePhabricator

decide how to store and load the list of suggested articles to translate
Closed, ResolvedPublic1 Story Points

Description

Task T87439 is a project to show suggested articles to translate to the people who use ContentTranslation.

This task is about designing how this list will be stored and loaded. I discussed this briefly with @leila earlier today.


My initial simple idea is to do something like this:

  • Add a suggested_articles table to the central contenttranslation database. If this table doesn't exist, the feature won't be loaded.
  • This table will have the following columns:
    • source language
    • target language
    • the article topic identified by the Q number of the corresponding Wikidata item. (For example, for the article Idaho it will be Q1221.)
    • rank (how important it is to translate this article). Probably a number, with smaller number indicating higher importance.

To load the article list there will be an API similar to the one in api/ApiQueryContentTranslation.php.


Comments are welcome, especially from @leila, @santhosh, @Pginer-WMF, and everybody else.

Event Timeline

Amire80 created this task.Mar 17 2015, 6:18 PM
Amire80 assigned this task to leila.
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 updated the task description. (Show Details)
Amire80 set Security to None.
Amire80 added subscribers: Amire80, Arrbee, santhosh and 4 others.
leila added a comment.Mar 19 2015, 8:47 PM

@Amire80, we should wait for the design discussion with @Pginer-WMF to get finalized before finalizing the tables. Here are some items we should make sure we capture, either in the same table as you suggested or in some other table.

  • user_id of the editor the article is recommended to. (one article can be recommended to more than one editor. For every editor, we will have one row in the table.)
  • a variable indicating whether the editor has started the translation.
  • the timestamp of when the recommendation has been made to the editor.
  • a binary variable indicating whether the editor has removed the recommendation from the list (pending design discussions)
  • same as above for if the editor has favorited the recommendation (pending design discussions)
  • a binary variable that captures whether this recommendation should be shown to the editor. We need this since as soon as another editor starts working on a translation, we should stop showing it as a recommendation to other editors. (pending design discussions)

Change 199552 had a related patch set uploaded (by Santhosh):
Modified sql script

https://gerrit.wikimedia.org/r/199552

Can I get a review/comments on the API and sql script changes? I believe the API and SQL script are completed and functioning as expected.

leila added a comment.May 5 2015, 6:10 PM

@Amire80 just to make sure, @Mgooley's request should be responded by someone from your team, right?

(I'll go ahead and remove myself from Assigned To since the task is being done by the Content Translation team. I'm happy to brainstorm as needed.)

leila removed leila as the assignee of this task.May 5 2015, 6:11 PM
Amire80 raised the priority of this task from Normal to High.Jun 23 2015, 8:39 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Arrbee assigned this task to santhosh.Aug 12 2015, 7:09 AM
Arrbee edited a custom field.
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 2 board.

Change 231253 had a related patch set uploaded (by Santhosh):
Suggestion lists - Database and APIs

https://gerrit.wikimedia.org/r/231253

Arrbee moved this task from Backlog to In Review on the LE-CX6-Sprint 3 board.Aug 26 2015, 11:57 AM

Change 231253 merged by jenkins-bot:
Suggestion lists - Database and APIs

https://gerrit.wikimedia.org/r/231253

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 3 board.Sep 3 2015, 8:19 AM
Arrbee closed this task as Resolved.Sep 8 2015, 6:36 AM

Follow up work: T111317

Change 199552 abandoned by Santhosh:
WIP: Update SQL script/add Api

Reason:
Fresh implementation is being done as per T106405

https://gerrit.wikimedia.org/r/199552